"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Experiment(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.metadata.Experiment": opencb_1_3_0.Experiment,
        }

    __slots__ = [
        "center",
        "date",
        "description",
        "library",
        "libraryLayout",
        "molecule",
        "platform",
        "technique",
    ]

    def __init__(
        self,
        center=None,
        date=None,
        description=None,
        library=None,
        libraryLayout=None,
        molecule=None,
        platform=None,
        technique=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.Experiment model.

        :param center:
        :type center: None | str
        :param date:
        :type date: None | str
        :param description:
        :type description: None | str
        :param library:
        :type library: None | str
        :param libraryLayout:
        :type libraryLayout: None | str
        :param molecule:
        :type molecule: None | str
        :param platform:
        :type platform: None | str
        :param technique:
        :type technique: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
